Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155407 - Java program hang.. message "Too many open files" appears sometime.
Summary: Java program hang.. message "Too many open files" appears sometime.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: java-1.4.2-gcj-compat
Version: 4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-20 04:24 UTC by NiCK
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-05 19:28:35 UTC


Attachments (Terms of Use)

Description NiCK 2005-04-20 04:24:11 UTC
Description of problem:
Java program hang.. message "Too many open files" appears sometime.

perform command lsof will appear following error message.
java    21929 mms31   53u  sock                0,0          15544497 can't 
identify protocol
java    21929 mms31   54u  sock                0,0          15544498 can't 
identify protocol
java    21929 mms31   55u  sock                0,0          15544522 can't 
identify protocol
java    21929 mms31   56u  sock                0,0          15544523 can't 
identify protocol
java    21929 mms31   57u  sock                0,0          15544562 can't 
identify protocol
........

Version-Release number of selected component (if applicable):
Redhat enterprice AS3 update 4  x86_64
j2sdk1.4.2_03
CPU Intel(R) Xeon(TM) CPU 2.80GHz *2 
MEMORY 2G

How reproducible:
always


  
Actual results:
Java program hang

Comment 1 Thomas Fitzsimmons 2006-06-30 13:12:43 UTC
Have you tried this on one of the JVMs we ship in the RHEL LACD package set?



Note You need to log in before you can comment on or make changes to this bug.